Name:          kcm-wacomtablet
Version:       6.2.3
Release:       1mamba
Summary:       A KDE configuration GUI for the Wacom Linux Drivers
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/it/plasma-desktop/
Source:        https://download.kde.org/%{stable_kf6}/plasma/%{version}/wacomtablet-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kcmutils-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kconfigwidgets-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kdbusaddons-devel
BuildRequires: libkf6-kglobalaccel-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-knotifications-devel
BuildRequires: libkf6-kservice-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: libkf6-kxmlgui-devel
BuildRequires: libplasma-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwacom-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
BuildRequires: plasma5support-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules

%description
This module implements a GUI for the Wacom Linux Drivers and extends it with profile support to handle different button / pen layouts per profile.

%debug_package

%prep
%setup -q -n wacomtablet-%{version}

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/kde_wacom_tabletfinder
%{_kf6_plugindir}/kded/wacomtablet.so
%{_qt6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_wacomtablet.so
%{_qt6_plugindir}/plasma5support/dataengine/plasma_engine_wacomtablet.so
%{_datadir}/applications/kcm_wacomtablet.desktop
%{_datadir}/applications/kde_wacom_tabletfinder.desktop
%{_datadir}/dbus-1/interfaces/org.kde.Wacom.xml
%{_datadir}/knotifications6/wacomtablet.notifyrc
%{_metainfodir}/org.kde.plasma.wacomtablet.appdata.xml
%{_metainfodir}/org.kde.wacomtablet.metainfo.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.wacomtablet
%{_datadir}/plasma/plasmoids/org.kde.plasma.wacomtablet/*
%{_datadir}/plasma5support/services/wacomtablet.operations
%{_datadir}/qlogging-categories6/wacomtablet.categories
%dir %{_datadir}/wacomtablet
%{_datadir}/wacomtablet/*
%doc AUTHORS COPYING

%changelog
* Thu Nov 07 2024 Automatic Build System <autodist@openmamba.org> 6.2.3-1mamba
- automatic version update by autodist

* Fri Oct 25 2024 Automatic Build System <autodist@openmamba.org> 6.2.2-1mamba
- automatic version update by autodist

* Thu Oct 17 2024 Automatic Build System <autodist@openmamba.org> 6.2.1-1mamba
- automatic version update by autodist

* Thu Oct 10 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Fri Sep 13 2024 Automatic Build System <autodist@openmamba.org> 6.1.5-1mamba
- automatic version update by autodist

* Thu Aug 08 2024 Automatic Build System <autodist@openmamba.org> 6.1.4-1mamba
- automatic version update by autodist

* Thu Jul 18 2024 Automatic Build System <autodist@openmamba.org> 6.1.3-1mamba
- automatic version update by autodist

* Wed Jul 03 2024 Automatic Build System <autodist@openmamba.org> 6.1.2-1mamba
- automatic version update by autodist

* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 6.1.1-1mamba
- automatic version update by autodist

* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Fri May 24 2024 Automatic Build System <autodist@openmamba.org> 6.0.5-1mamba
- automatic version update by autodist

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 6.0.4-1mamba
- automatic version update by autodist

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 6.0.3-1mamba
- automatic version update by autodist

* Wed Mar 13 2024 Automatic Build System <autodist@openmamba.org> 6.0.2-1mamba
- automatic version update by autodist

* Thu Mar 07 2024 Automatic Build System <autodist@openmamba.org> 6.0.1-1mamba
- automatic version update by autodist

* Sun Mar 03 2024 Automatic Build System <autodist@openmamba.org> 6.0.0-1mamba
- automatic version update by autodist

* Sat Feb 03 2024 Automatic Build System <autodist@openmamba.org> 5.93.0-1mamba
- automatic version update by autodist

* Sun Jan 21 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.92.0-1mamba
- update to 5.92.0

* Sun Aug 18 2019 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Sun Jul 15 2018 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Wed Dec 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- package created using the webbuild interface
